<?php
/**
 * Module Entry Point
 * 
 * @package    Joomla
 * @subpackage Modules
 * @link http://icodeitforyou.com
 * @license        Copyright ¢ 
 * mod_alvinet is copyrighted software. Developped by iCode Studio (France), www.icodeitforyou.com
 */
 
 
 
 
class modAlvinetHelper
{
    /**
     * Retrieves the hello message
     *
     * @param array $params An object containing the module parameters
     * @access public
     */    
 
	
    public static function getHelp( $params )
    {
	
		$items=0;
		include 'actions.js';
		//recuperation des variables utilisateur
		$limit = 	trim( $params->get( 'limit') );
		if($limit==0) return;
		//
		$keyword 	= trim( $params->get( 'keyword' ) );
		$akeyword 	= trim( $params->get( 'akeyword' ) );
		//
		$catid  	= trim( $params->get( 'catid') );
		$depuis  	= trim( $params->get( 'depuis' ) );
		$or 		= trim( $params->get( 'or' ) );
		//
		$url = 'http'.((isset($_SERVER['HTTPS']))?(($_SERVER['HTTPS']=='on')?'s':''):'').'://'.$_SERVER['HTTP_HOST'].(($_SERVER['SERVER_PORT']!='80')?':'.$_SERVER['SERVER_PORT']:'').$_SERVER['REQUEST_URI'];//url de la page affichant le module

		
		
		//récuperation du flux en consequence
		$rss = new DOMDocument();
		$rssUrl = 'http://www.alvinet.com/api/?nbr='.$limit.
				'&keyword='.$keyword.
				'&akeyword='.$akeyword.
				'&catid='.$catid.
				'&periode=depuis&depuis='.$depuis.
				'&or='.$or.
				'&url='.$url.'&v=1.1';
				
		$htmlUrl = 'http://www.alvinet.com/actualite/?keyword='.$keyword.
				'&akeyword='.$akeyword.
				'&catid='.$catid.
				'&periode=depuis&depuis='.$depuis.
				'&or='.$or;
				
		$rss->load($rssUrl);
		
		
	//	/*Then we will single out certain elements and place them into an array. 
		//For this example, I will just fetch the title, description, link and published on date.*/
		
		$feed = array();
		foreach ($rss->getElementsByTagName('item') as $node) {
			$item = array ( 
				'title' => $node->getElementsByTagName('title')->item(0)->nodeValue,
				'desc' => $node->getElementsByTagName('description')->item(0)->nodeValue,
				'link' => $node->getElementsByTagName('link')->item(0)->nodeValue,
				'date' => $node->getElementsByTagName('pubDate')->item(0)->nodeValue,
				'guid' => $node->getElementsByTagName('guid')->item(0)->nodeValue,
				'source' => $node->getElementsByTagName('source')->item(0)->nodeValue
			);
			array_push($feed, $item);
			$items++;
		}
		
		/*Finally, we set it to display 5 posts on 
		screen with the titles linking directly to the original post.*/

	/***DISPLAY***/
	
	
		//feed
		$counter = 0;//compte le nb d'actualité affiché - incremental
		for($x=0;$x<$items;$x++) {
		
				$title = str_replace(' & ', ' &amp; ', $feed[$x]['title']);
				$link = $feed[$x]['link'];
				$description = $feed[$x]['desc'];
				$date =  $feed[$x]['date'];
				$guid = $feed[$x]['guid'];
				$source = $feed[$x]['source'];
				
				If($title != ''){
						
					echo '<div class="alvinet_item" style="padding-bottom: 15px;">';
					echo '<div class="alvinet_title"><a  href="'.$link.'" onClick="sendClickTrackToAlvinet('.$guid.')" target="_blank" title="Lire cet article sur le site '.$source.'">'.$title.'</a></div>';
					echo '<div class="alvinet_description">'.$description.'</div>';
					echo '<div class="alvinet_source"><a  href="'.$link.'" onclick="sendClickTrackToAlvinet('.$guid.')" target="_blank" title="Lire cet article sur le site '.$source.'">'.$source.'</a>, <small>'.$date.'</small></div>';
					echo '</div>';
				
					$counter = $counter + 1;
				}				
		}
		
		if($counter==0) return;
			
		//logo agregateur
		if($keyword!=""){/*mots clefs*/
			echo '<div style="text-align:right; padding: 0 0 4px;"><a href="'.$htmlUrl.'" target="_blank" title="Lire plus d\'actualités sur Alvinet : '.$keyword.'"><img src="modules/mod_alvinet/tmpl/logo_alvinet.png" alt="Alvinet"/></a></div>';
		}
		else {/*pas de mots clefs*/
			echo '<div style="text-align:right; padding: 0 0 4px;"><a href="'.$htmlUrl.'" target="_blank" title="Lire plus d\'actualités sur Alvinet"><img src="modules/mod_alvinet/tmpl/logo_alvinet.png" alt="Alvinet"/></a></div>';
		}
		//logo agregateur
    }
	
}
?>	